.page-items-list {
  @mixin badge($bgColor) {
    background-color: $bgColor;
    color: white;
    padding: 0 5px;
    border-radius: 3px;
  }
  .items-list {
    &.items-list--has-items {
      display: grid;
      grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
      grid-auto-rows: auto;
    }
    &__not-items {
      text-align: center;
      margin-top: 100px;
    }
    .item {
      margin: 10px;
      border: 1px solid #ccc;
      background-color: rgba(200, 200, 200, 0.1);
      border-radius: 4px;
      padding: 15px;
      height: 270px;
      display: flex;
      flex-direction: column;
      &.item--add {
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        & > p {
          margin: 0;
          font-size: 24px;
          font-weight: bold;
          color: #ccc;
        }
      }
      &:hover {
        background-color: rgba(255, 255, 255, 0.1);
      }
      &__header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        .item {
          &__id {
            text-transform: uppercase;
            @include badge(black);
          }
        }
      }
      &__description {
        flex: 1 1;
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 9;
        -webkit-box-orient: vertical;
      }

      &__footer {
        display: flex;
        justify-content: space-between;
        .item {
          &__actions {
            & > button {
              margin-left: 5px;
            }
            & > button:first-child {
              margin-left: 0px;
            }
          }
          &__cost {
            display: flex;
            align-items: center;
            & > div {
              @include badge(darkcyan);
            }
          }
        }


      }
    }
  }
}
@media(max-width: 1024px) {
  .page-items-list .items-list.items-list--has-items{
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  }
}
